//+------------------------------------------------------------------+
//|                                               PanelIndicator.mq5 |
//|                        Copyright 2011, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2011, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"
#property indicator_separate_window
#property indicator_plots               0
#property indicator_buffers             0
#property indicator_minimum             0.0
#property indicator_maximum             0.0
//+------------------------------------------------------------------+
//|                                                   |
//+------------------------------------------------------------------+
#include "PanelDialog.mqh"
//+------------------------------------------------------------------+
//|                                              |
//+------------------------------------------------------------------+
CPanelDialog ExtDialog;
//+------------------------------------------------------------------+
//|                                                     |
//+------------------------------------------------------------------+
int OnInit()
  {
//---   
   if(!ExtDialog.Create(0,"Panel Indicator",0,0,0,0,130))
      return(-1);
//---  
   if(!ExtDialog.Run())
      return(-2);
//---  
   EventSetTimer(1);
//--- 
   return(0);
  }
//+------------------------------------------------------------------+
//|                                                   |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---  
   ExtDialog.Destroy();
//---  
   EventKillTimer();
  }
//+------------------------------------------------------------------+
//|                                                          |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const int begin,
                const double &price[])
  {
//---   
   ExtDialog.SetRed(MathRand()%256);
//---   prev_calculated   
   return(rates_total);
  }
//+------------------------------------------------------------------+
//|                                          |
//+------------------------------------------------------------------+
void OnTimer()
  {
//---   
   ExtDialog.SetGreen(MathRand()%256);
  }
//+------------------------------------------------------------------+
//|                                            |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam)
  {
//---  
   ExtDialog.ChartEvent(id,lparam,dparam,sparam);
  }
//+------------------------------------------------------------------+
